#
# spec file for package libldap-legacy
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:       libldap-legacy
Version:	2.4.46
Release:	1.1
License:	OLDAP-2.8
Summary:	Package to provide libldap-2.4
Source1:    libldap-legacy-rpmlintrc
Url:		http://www.openldap.org
Group:		Productivity/Networking/LDAP/Servers
BuildRequires:  openldap2-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description

%prep

%build

%install
mkdir -p %{buildroot}/%{_libdir}
gcc -shared -o "%{buildroot}/%{_libdir}/libldap-2.4.so.2" -Wl,-soname,libldap-2.4.so.2,--no-as-needed -lldap_r

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libldap-2.4.so.2

%changelog
* Tue Jun  5 2018 varkoly@suse.com
- bsc#1095816 libldap package does not contain and provide libldap anymore
